package com.sunyard.chsm.param;

import com.sunyard.chsm.enums.HashAlg;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class HashReq {

    // 明文,使用Base64编码
    @NotBlank(message = "明文不能为空")
    private String plainData;

    // Hash算法, 默认SM3
    private HashAlg alg = HashAlg.SM3;

    // 公钥,使用Base64编码
    private String pubKey;
    // userId,使用Base64编码
    private String userId;


}
