package com.sunyard.ssp.modules.monitor.log.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sunyard.ssp.modules.monitor.log.entity.SysLog;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author fyc
 * @since 2020-03-31
 */
public interface ISysLogService extends IService<SysLog> {

    /**
     * 系统日志列表
     * @param pageNumber
     * @param pageSize
     * @param keyWord
     * @param startTime
     * @param endTime
     * @return
     */
    IPage<SysLog> queryList(Integer pageNumber,Integer pageSize,String keyWord,String startTime,String endTime);

    /**
     * 清空日志
     * @return
     */
    Boolean truncateTable();
}
