package com.sunyard.ssp.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @date:2020/6/10
 * @description:
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class UPublicKeyVo {
    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "用户拥有的角色ids")
    private Long[] roldIds;

    @ApiModelProperty(value = "用户绑定U盾公钥")
    private String uPublicKey;

    @ApiModelProperty(value = "用户绑定U盾私钥")
    private String uPrivateKey;

    @ApiModelProperty(value = "数字签名")
    private String signInfo;

}
