package com.sunyard.chsm.pool;

import com.sunyard.chsm.sdf.adapter.SdfApiAdapter;
import lombok.Data;
import org.apache.commons.pool2.impl.GenericObjectPool;

/**
 * @author liulu
 * @since 2024/12/10
 */
@Data
public class TMKContext {

    private String encTmk;
    private String deviceHandle;
    private String sessionHandle;
    private String keyHandle;
    private SdfApiAdapter sdfApiAdapter;
    private GenericObjectPool<TMKContext> pool;

    @Override
    public String toString() {
        return "TMKContext{" +
                "keyHandle='" + keyHandle + '\'' +
                ", sessionHandle='" + sessionHandle + '\'' +
                ", deviceHandle='" + deviceHandle + '\'' +
                ", encTmk='" + encTmk + '\'' +
                '}';
    }
}
