package com.sunyard.chsm.model.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author fyc
 * @since 2020-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("SC_PARAM_CONF")
public class ParamConf implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId("ID")
    private Long id;

    @TableField("ITEM")
    private Integer item;

//    @TableField("`KEY`") mysql需加
    @TableField("KEY")
    private String key;

    @TableField("VALUE")
    private String value;

    @TableField("TYPE")
    private String type;

    @TableField("STATUS")
    private Integer status;

    @TableField("CREATE_TIME")
    private LocalDateTime creatTime;

    @TableField("MEMO")
    private String memo;


}
