package com.sunyard.ssp.modules.sdk;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * @author:tsz
 * @date:2020/3/19
 * @description:
 */
@Data
@Component
//@PropertySource(encoding = "UTF-8", value = {"file:./config/server.properties"})
public class ServerConfigure {

    @Value("${ip:172.16.17.163}")
    private String serverIp;

    @Value("${minPort:8801}")
    private int minPort;

    @Value("${maxPort:8802}")
    private int maxPort;

    @Value("${sdkPort:8800}")
    private int sdkPort;

}
