package com.sunyard.ssp.modules.user.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sunyard.ssp.modules.user.entity.ScRole;
import com.sunyard.ssp.modules.user.entity.ScUserRole;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author tsz
 * @since 2020-03-11
 */
public interface ScUserRoleMapper extends BaseMapper<ScUserRole> {

    List<ScRole> findByUserId(@Param("userId") Long userId);

    List<String> findDepIdsByUserId(@Param("userId") Long userId);
}
